CC = $(shell which gcc)

EMBED_CFLAGS = -Wall -Wextra -Werror -pedantic -g -O0
EMBED_LDFLAGS = 
TOOLSFOLDER = tools/bin

embed: tools/embed/embed.c
	$(CC) $(EMBED_CFLAGS) $(EMBED_LDFLAGS) -o  $(TOOLSFOLDER)/$@ $^

all: embed

clean-tools:
	rm -f $(TOOLSFOLDER)/*